Name:           perl-Git-CPAN-Patch
Summary:        Patch CPAN modules using Git
Version:        0.4.6
Release:        5%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
Source0:        http://search.cpan.org/CPAN/authors/id/Y/YA/YANICK/Git-CPAN-Patch-%{version}.tar.gz
URL:            http://search.cpan.org/dist/Git-CPAN-Patch/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:      noarch

BuildRequires:  git
BuildRequires:  perl(autodie)
BuildRequires:  perl(BackPAN::Index) >= 0.39
BuildRequires:  perl(CLASS)
BuildRequires:  perl(CPANPLUS) >= 0.84
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::chdir)
BuildRequires:  perl(File::chmod)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Temp) >= 0.22
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Pod::Usage)

Requires:       perl(BackPAN::Index) >= 0.39
Requires:       perl(CPANPLUS) >= 0.84
Requires:       perl(File::Temp) >= 0.22
Requires:       perl(Pod::Usage)

Requires:       git-cpan-patch = %{version}-%{release}

%{?perl_default_filter}

%description
Git::CPAN::Patch provides a suite of git commands aimed at making trivially
easy the process of grabbing any distribution off CPAN, stuffing it in a
local git repository and, once gleeful hacking has been perpetrated,
sending back patches to its maintainer.

This package provides the backend Perl modules required.  For the git
commands, etc, please install the git-cpan-patch package.

%package -n git-cpan-patch
Summary:        Patch CPAN modules using Git
License:        GPL+ or Artistic
Group:          Development/Tools
Requires:       perl-Git-CPAN-Patch = %{version}-%{release}

Requires:       git, git-email

%description -n git-cpan-patch
git-cpan-patch provides a suite of git commands aimed at making trivially
easy the process of grabbing any distribution off CPAN, stuffing it in a
local git repository and, once gleeful hacking has been perpetrated,
sending back patches to its maintainer.


%prep
%setup -q -n Git-CPAN-Patch-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

# upstream now installs to /usr/bin; we still prefer /usr/libexec/git-core
install -d -m 0755 %{buildroot}%{_libexecdir}/git-core
mv %{buildroot}/%{_bindir}/* %{buildroot}%{_libexecdir}/git-core/

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files -n git-cpan-patch
%defattr(-,root,root,-)
%doc Changes README
%{_libexecdir}/*
%{_mandir}/man1/*

%changelog
* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.4.6-5
- Perl mass rebuild

* Tue Jul 19 2011 Petr Sabata <contyk@redhat.com> - 0.4.6-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jan 09 2011 Iain Arnell <iarnell@gmail.com> 0.4.6-2
- move git-cpan-* scripts back to libexecdir

* Sun Jan 09 2011 Iain Arnell <iarnell@gmail.com> 0.4.6-1
- update by Fedora::App::MaintainerTools 0.006
- updating to latest GA CPAN version (0.4.4)
- added a new br on perl(BackPAN::Index) (version 0.39)
- added a new br on perl(CLASS) (version 0)
- added a new br on perl(File::Path) (version 0)
- added a new br on perl(File::Temp) (version 0.22)
- added a new br on perl(File::chmod) (version 0)
- force-adding ExtUtils::MakeMaker as a BR
- dropped old BR on perl(Parse::BACKPAN::Packages)
- added a new req on perl(BackPAN::Index) (version 0.39)
- added a new req on perl(File::Temp) (version 0.22)
- dropped old requires on perl(Module::Build)
- dropped old requires on perl(Parse::BACKPAN::Packages)

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.2.1-4
- 661697 rebuild for fixing problems with vendorach/lib

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.2.1-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.2.1-2
- rebuild against perl 5.10.1

* Sun Sep 27 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2.1-1
- auto-update to 0.2.1 (by cpan-spec-update 0.01)
- altered br on perl(CPANPLUS) (0 => 0.84)
- added a new br on perl(File::chdir) (version 0)
- altered req on perl(CPANPLUS) (0 => 0.84)
- added a new req on perl(File::chdir) (version 0)

* Tue Aug 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2.0-2
- add a BR on git, for command paths

* Tue Aug 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.2.0-1
- auto-update to 0.2.0 (by cpan-spec-update 0.01)
- added a new req on perl(CPANPLUS) (version 0)
- added a new req on perl(Module::Build) (version 0)
- added a new req on perl(Parse::BACKPAN::Packages) (version 0)
- added a new req on perl(Pod::Usage) (version 0)
- added a new req on perl(autodie) (version 0)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.7-1
- auto-update to 0.1.7 (by cpan-spec-update 0.01)

* Tue May 19 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.6-1
- auto-update to 0.1.6 (by cpan-spec-update 0.01)
- added a new br on perl(Pod::Usage) (version 0)

* Sat Mar 28 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.5-1
- update to 0.1.5

* Wed Mar 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.4-2
- break into main package + git-cpan-patch

* Fri Mar 06 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.1.4-1
- Specfile autogenerated by cpanspec 1.77.
